2010-02-09 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.2.2

2010-01-25 Kazuki IWAMOTO <iwm@maid.org>

	* misc/peimage.[ch]
	* w32loader/w32ldr.[ch]
	* w32loader/advapi32.[ch]
	* w32loader/commctrl.[ch]
	* w32loader/commdlg.[ch]
	* w32loader/gdi32.[ch]
	* w32loader/kernel32.[ch]
	* w32loader/msvcrt.[ch]
	* w32loader/ntdll.[ch]
	* w32loader/ole32.[ch]
	* w32loader/oleaut32.[ch]
	* w32loader/rasapi32.[ch]
	* w32loader/rasdlg.[ch]
	* w32loader/shell32.[ch]
	* w32loader/user32.[ch]
	* w32loader/version.[ch]
	* w32loader/winmm.[ch]
	* w32loader/winsock.[ch]
	* w32loader/windows.h: modify implement

2009-12-29 Kazuki IWAMOTO <iwm@maid.org>

	* orz/orzcomm.c: modify variable typo

2009-12-10 Kazuki IWAMOTO <iwm@maid.org>

	* gcommon.h: add g_mapped_file_unref macro

	* w32loader/image.h
	* w32loader/w32ldr.c: add IMAGE_DOS_HEADER

	* avicore/aviextra.c
	* avicore/avimemory.c
	* misc/fileio.c
	* orz/orzaccel.c
	* orz/orzcomm.c
	* orz/orzhistory.c
	* orz/orzmdi.c
	* orz/orzwinmenu.c
	* src/codec.c
	* src/thread.c
	* src/version.c
	* w32loader/advapi32.c
	* w32loader/kernel32.c
	* w32loader/msvcrt.[ch]
	* w32loader/user32.c
	* w32loader/w32ldr.[ch]
	* w32loader/w32tool.c: modify GList enumeration

2009-11-29 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.2.1

2009-11-29 Kazuki IWAMOTO <iwm@maid.org>

	* misc/fileio.c: modify fileio_extract_icon by using gio

	* w32loader/kernel32.c
	* w32loader/user32.c: modify format argument in g_print

2009-03-24 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.msc.in: add max memory alloc option

	* orz/orz_comm_send.c: delete return value

	* avicore/aviplay.c: add cast in avi_play_value_changed

2008-09-29 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.2.0

2008-09-22 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.msc.in
	* misc/misc.c: change locale directory

2008-08-29 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.1.9

2008-08-27 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.msc.in
	* po/POTFILES.in
	* src/Makefile.am
	* src/keyfile.[ch]
	* src/vmaid.[ch]: add keyfile.[ch] and move keyfile functions

	* Makefile.msc.in
	* po/POTFILES.in
	* src/Makefile.am
	* src/command.c
	* src/general.c
	* src/menu.[ch]
	* src/sigfile.c
	* src/sigmain.c
	* src/thread.c
	* src/vmaid.[ch]: add menu.[ch] and move menu structures

	* src/change.c
	* src/codec.c
	* src/command.c
	* src/file.c
	* src/general.c
	* src/jump.c
	* src/merge.c
	* src/prop.c
	* src/sigfile.c
	* src/sigmain.c
	* src/size.c
	* src/thread.c
	* src/version.c
	* src/vmaid.c: add include misc.h

2008-08-25 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.msc.in
	* misc/misc.[ch]
	* orz/orzmdi.c: add misc_close_* functions

2008-04-11 Kazuki IWAMOTO <iwm@maid.org>

	* misc/lisence.c
	* src/vmaid.c
	* w32loader/w32prsht.c: modify gtk_window_set_position

2008-03-28 Kazuki IWAMOTO <iwm@maid.org>

	* gcommon.h: add g_strcmp0

	* gcommon.h
	* src/vmaid.c: use g_str_has_prefix

2008-02-29 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.1.8

2008-01-25 Kazuki IWAMOTO <iwm@maid.org>

	* gcommon.h: add type define macro

	* Makefile.msc.in: add heap size option

	* misc/gnugpl.[ch]: change license to GNU GPL v3

	* avicore/acm.h
	* avicore/avibase.h
	* avicore/aviclip.h
	* avicore/avicore.h
	* avicore/aviextra.h
	* avicore/avifmt.h
	* avicore/aviplay.h
	* avicore/chunk.h
	* avicore/gsrfmt.h
	* avicore/icm.h
	* avicore/wave.h
	* misc/argument.[ch]
	* misc/bitmap.h
	* misc/fileio.h
	* misc/license.h
	* misc/misc.h
	* misc/pixbuf.h
	* misc/profile.[ch]
	* orz/orzaccel.h
	* orz/orzcomm.h
	* orz/orzhistory.h
	* orz/orzmdi.h
	* orz/orzpref.h
	* orz/orzwinmenu.h
	* src/change.h
	* src/codec.h
	* src/command.h
	* src/file.h
	* src/general.h
	* src/icons.h
	* src/jump.h
	* src/merge.h
	* src/preview.h
	* src/prop.h
	* src/sigfile.h
	* src/sigmain.h
	* src/size.h
	* src/thread.h
	* src/version.[ch]
	* src/vmaid.h
	* w32loader/advapi32.h
	* w32loader/afxres.h
	* w32loader/commctrl.h
	* w32loader/commdlg.h
	* w32loader/gdi32.h
	* w32loader/htmlhelp.h
	* w32loader/image.h
	* w32loader/kernel32.h
	* w32loader/msvcrt.h
	* w32loader/ntdll.h
	* w32loader/tchar.h
	* w32loader/user32.h
	* w32loader/vfw.h
	* w32loader/w32brush.h
	* w32loader/w32btn.h
	* w32loader/w32combo.h
	* w32loader/w32dlg.h
	* w32loader/w32edit.h
	* w32loader/w32font.h
	* w32loader/w32ldr.h
	* w32loader/w32list.h
	* w32loader/w32lview.h
	* w32loader/w32menu.h
	* w32loader/w32pen.h
	* w32loader/w32prgrs.h
	* w32loader/w32private.h
	* w32loader/w32prsht.h
	* w32loader/w32sbar.h
	* w32loader/w32stat.h
	* w32loader/w32stc.h
	* w32loader/w32tool.h
	* w32loader/w32tview.h
	* w32loader/w32updwn.h
	* w32loader/w32wnd.h
	* w32loader/windef.h
	* w32loader/windowsx.h: use G_BEGIN_DECLS and G_END_DECLS

	* avicore/aviclip.c
	* avicore/aviextra.c
	* avicore/aviplay.c
	* orz/orzaccel.c
	* orz/orzcomm.c
	* orz/orzhistory.c
	* orz/orzmdi.c
	* orz/orzpref.c
	* orz/orzwinmenu.c
	* w32loader/w32brush.h
	* w32loader/w32font.h
	* w32loader/w32pen.h: use G_DEFINE_TYPE

2008-01-15 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.1.7

2008-01-09 Kazuki IWAMOTO <iwm@maid.org>

	* orz/orzmdi.c: modify tab_label destroy timing

2008-01-01 Kazuki IWAMOTO <iwm@maid.org>

	* w32loader/kernel32.[ch]
	* w32loader/user32.[ch]
	* w32loader/windef.h: add APIs

2007-12-30 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/apiplay.c
	* src/sigmain.[ch]
	* src/thread.c
	* src/vmaid.c: modify ao_default_driver_id and thread idle

	* misc/misc.[ch]: add comment

2007-11-11 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/aviplay.c: modify thread priority

2007-11-08 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.1.6

2007-11-07 Kazuki IWAMOTO <iwm@maid.org>

	* gcommon.h: modify goffset for GLib-2.14

	* avicore/icm.c: modify bmih_size of signal

	* misc/winmain.c: delete 'ret' initialize

	* w32loader/kernel32.[ch]
	* w32loader/msvcrt.c
	* w32loader/ntdll.[ch]
	* w32loader/ole32.[ch]
	* w32loader/oleaut32.[ch]
	* w32loader/shell32.[ch]
	* w32loader/user32.c
	* w32loader/w32dlg.c
	* w32loader/w32ldr.c: modify heap bug and add APIs

2007-09-29 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.1.5

2007-09-29 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.msc.in
	* src/change.c
	* src/command.c
	* src/file.c
	* src/general.[ch]
	* src/merge.c
	* src/thread.[ch]: modify thread function and enablize Win32 thread

2007-09-03 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.1.4

2007-08-21 Kazuki IWAMOTO <iwm@maid.org>

	* w32loader/advapi32.c
	* w32loader/commctrl.c
	* w32loader/commdlg.c
	* w32loader/kernel32.c
	* w32loader/shell32.c
	* w32loader/user32.c
	* w32loader/w32btn.c
	* w32loader/w32combo.c
	* w32loader/w32dlg.c
	* w32loader/w32edit.c
	* w32loader/w32list.c
	* w32loader/w32lview.c
	* w32loader/w32prgrs.c
	* w32loader/w32private.h
	* w32loader/w32prsht.c
	* w32loader/w32stc.c
	* w32loader/w32sbar.c
	* w32loader/w32stat.c
	* w32loader/w32tool.c
	* w32loader/w32tview.c
	* w32loader/w32updwn.c
	* w32loader/w32wnd.c: modify memory leak bugs

2007-07-31 Kazuki IWAMOTO <iwm@maid.org>

	* w32loader/user32.c
	* w32loader/w32edit.c
	* w32loader/w32list.c
	* w32loader/w32lview.c
	* w32loader/w32tview.c
	* w32loader/w32wnd.c: modify editor signal bug

2007-07-12 Kazuki IWAMOTO <iwm@maid.org>

	* w32loader/commdlg.c: modify ChooseFontW bug

	* w32loader/makew32ldrheaders.sh: add file compare

2007-07-11 Kazuki IWAMOTO <iwm@maid.org>

	* w32loader/advapi32.[ch]
	* w32loader/commdlg.[ch]
	* w32loader/gdi32.[ch]
	* w32loader/kernel32.[ch]
	* w32loader/msvcrt.[ch]
	* w32loader/user32.[ch]
	* w32loader/w32combo.c
	* w32loader/w32btn.c
	* w32loader/w32dlg.c
	* w32loader/w32edit.c
	* w32loader/w32font.[ch]
	* w32loader/w32ldr.c
	* w32loader/w32list.c
	* w32loader/w32lview.c
	* w32loader/w32tool.c
	* w32loader/w32prsht.c
	* w32loader/w32stc.c
	* w32loader/w32tview.c
	* w32loader/w32updwn.c
	* w32loader/winmm.[ch]: add text drawing API

2007-07-06 Kazuki IWAMOTO <iwm@maid.org>

	* w32loader/commdlg.[ch]
	* w32loader/gdi32.[ch]
	* w32loader/user32.[ch]
	* w32loader/w32ldr.h: add font API and text color

2007-07-05 Kazuki IWAMOTO <iwm@maid.org>

	* w32loader/commdlg.[ch]
	* w32loader/gdi32.[ch]
	* w32loader/user32.[ch]
	* w32loader/w32font.[ch]
	* w32loader/w32ldr.h: add font dialog

2007-07-04 Kazuki IWAMOTO <iwm@maid.org>

	* w32loader/gdi32.[ch]
	* w32loader/user32.[ch]
	* w32loader/w32brush.[ch]
	* w32loader/w32pen.[ch]
	* w32loader/w32wnd.c: add brush and pen

2007-07-01 Kazuki IWAMOTO <iwm@maid.org>

	* w32loader/advapi32.c
	* w32loader/gdi32.c
	* w32loader/kernel32.c
	* w32loader/shell32.c
	* w32loader/user32.c
	* w32loader/w32ldr.h
	* w32loader/w32tview.c
	* w32loader/w32wnd.c
	* w32loader/windef.h
	* w32loader/winsock.c: modify SendMessage and signal functions

	* src/file.c: add GDK_SCROLL_MASK

2007-06-30 Kazuki IWAMOTO <iwm@maid.org>

	* w32loader/user32.[ch]: add message apis

2007-06-29 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.1.3

2007-06-28 Kazuki IWAMOTO <iwm@maid.org>

	* w32loader/w32wnd.c: hide action_area widget

2007-06-27 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/acm.[ch]
	* avicore/icm.[ch]
	* po/ja.po
	* po/POTFILES.in
	* src/Makefile.am
	* src/codec.[ch]
	* src/command.[ch]
	* src/icons.[ch]
	* src/vmaid.c: add codec dialog

2007-06-25 Kazuki IWAMOTO <iwm@maid.org>

	* misc/license.c: modify license label and dialog size

2007-06-22 Kazuki IWAMOTO <iwm@maid.org>

	* w32loader/kernel32.[ch]
	* w32loader/shell32.[ch]: add Cursor APIs

2007-06-20 Kazuki IWAMOTO <iwm@maid.org>

	* misc/license.c
	* po/ja.po: add license label

	* w32loader/windef.h
	* w32loader/kernel32.[ch]
	* w32loader/shell32.[ch]
	* w32loader/user32.[ch]
	* w32loader/winsock.[ch]: change HANDLE to LPVOID

2007-06-17 Kazuki IWAMOTO <iwm@maid.org>

	* w32loader/user32.[ch]
	* w32loader/w32menu.[ch]
	* w32loader/w32private.h
	* w32loader/w32wnd.c: add w32menu.[ch]

2007-06-14 Kazuki IWAMOTO <iwm@maid.org>

	* w32loader/user32.[ch]
	* w32loader/w32private.h
	* w32loader/w32wnd.c: add overlap windows menu

2007-06-13 Kazuki IWAMOTO <iwm@maid.org>

	* w32loader/user32.[ch]: delete W32LdrMenu structure

2007-06-12 Kazuki IWAMOTO <iwm@maid.org>

	* w32loader/w32btn.c
	* w32loader/w32stc.c: modify mnemonic escape sequence

	* w32loader/user32.[ch]: add GtkMenuShell

2007-06-08 Kazuki IWAMOTO <iwm@maid.org>

	* w32loader/Makefile.am
	* w32loader/afxres.h: add afxres.h

	* w32loader/user32.[ch]: add virtual keys

	* w32loader/w32tview.h: add advanced style

2007-06-01 Kazuki IWAMOTO <iwm@maid.org>

	* w32loader/w32dlg.c: modify dialog size

2007-05-31 Kazuki IWAMOTO <iwm@maid.org>

	* w32loader/kernel32.[ch]: modify language macro

2007-05-29 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.1.2

2007-05-28 Kazuki IWAMOTO <iwm@maid.org>

	* w32loader/w32tool.[ch]
	* w32loader/commctrl.[ch]: add toolbar messages

2007-05-27 Kazuki IWAMOTO <iwm@maid.org>

	* w32loader/Makefile.am
	* w32loader/commctrl.[ch]
	* w32loader/w32private.h
	* w32loader/w32stat.[ch]
	* w32loader/w32tool.[ch]
	* w32loader/w32wnd.c: add toolbar and statuswindow

2007-05-24 Kazuki IWAMOTO <iwm@maid.org>

	* src/general.c
	* src/sigfile.c: add gdk_window_process_updates

2007-04-29 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.1.1

2007-04-28 Kazuki IWAMOTO <iwm@maid.org>

	* w32loader/w32btn.c
	* w32loader/w32edit.c
	* w32loader/w32stc.c
	* w32loader/w32list.c
	* w32loader/w32sbar.c
	* w32loader/w32combo.c
	* w32loader/w32prsht.[ch]
	* w32loader/w32lview.c
	* w32loader/w32tview.c
	* w32loader/w32prgrs.c
	* w32loader/w32updwn.c
	* w32loader/w32dlg.c
	* w32loader/w32wnd.c
	* w32loader/w32private.h
	* w32loader/commctrl.[ch]
	* w32loader/user32.[ch]: modify PropertySheet and delete sister

	* CONTRIBUTORS
	* src/version.c: add Contributors

2007-04-26 Kazuki IWAMOTO <iwm@maid.org>

	* w32loader/Makefile.am
	* w32loader/w32btn.c
	* w32loader/w32edit.c
	* w32loader/w32stc.c
	* w32loader/w32list.c
	* w32loader/w32sbar.c
	* w32loader/w32combo.c
	* w32loader/w32prsht.c
	* w32loader/w32lview.c
	* w32loader/w32tview.c
	* w32loader/w32prgrs.c
	* w32loader/w32updwn.c
	* w32loader/w32dlg.c
	* w32loader/w32wnd.c
	* w32loader/w32private.h
	* w32loader/commctrl.[ch]
	* w32loader/user32.[ch]: add PropertySheet

2007-04-23 Kazuki IWAMOTO <iwm@maid.org>

	* w32loader/Makefile.am
	* w32loader/w32lview.c
	* w32loader/w32tview.[ch]
	* w32loader/w32wnd.c
	* w32loader/w32private.h
	* w32loader/commctrl.[ch]: add TreeView

2007-04-22 Kazuki IWAMOTO <iwm@maid.org>

	* misc/fileio.[ch]: add fileio_setsystime and fileio_getname

2007-04-21 Kazuki IWAMOTO <iwm@maid.org>

	* w32loader/Makefile.am
	* w32loader/commctrl.[ch]
	* w32loader/user32.[ch]
	* w32loader/w32btn.c
	* w32loader/w32combo.c
	* w32loader/w32dlg.c
	* w32loader/w32edit.c
	* w32loader/w32list.c
	* w32loader/w32lview.c
	* w32loader/w32prgrs.[ch]
	* w32loader/w32private.h
	* w32loader/w32sbar.c
	* w32loader/w32stc.c
	* w32loader/w32updwn.[ch]
	* w32loader/w32user.h
	* w32loader/w32wnd.c: add Progress and UpDown

2007-04-18 Kazuki IWAMOTO <iwm@maid.org>

	* w32loader/Makefile.am
	* w32loader/w32btn.c
	* w32loader/w32combo.c
	* w32loader/w32edit.c
	* w32loader/w32lview.[ch]
	* w32loader/w32sbar.c
	* w32loader/w32wnd.c
	* w32loader/commctrl.[ch]
	* w32loader/user32.[ch]: add ListView common control

2007-04-15 Kazuki IWAMOTO <iwm@maid.org>

	* configure.ac
	* w32loader/msvcrt.[ch]: delete scanf and fcloseall functions

	* w32loader/kernel32.c
	* w32loader/user32.c
	* w32loader/w32ldr.[ch]
	* w32loader/w32btn.[ch]
	* w32loader/w32combo.[ch]
	* w32loader/w32edit.[ch]
	* w32loader/w32list.[ch]
	* w32loader/w32stc.[ch]: add w32ldr atom functions

	* w32loader/kernel32.c: add event signal function

2007-04-13 Kazuki IWAMOTO <iwm@maid.org>

	* configure.ac
	* w32loader/msvcrt.[ch]: add scanf functions

	* w32loader/poppack.h
	* w32loader/pshpack[1248].h: modify alignment pragma

2007-04-11 Kazuki IWAMOTO <iwm@maid.org>

	* w32loader/user32.[ch]
	* w32loader/w32btn.c
	* w32loader/w32combo.c
	* w32loader/w32edit.c
	* w32loader/w32list.c
	* w32loader/w32sbar.c
	* w32loader/w32stc.[ch]
	* w32loader/w32user.h
	* w32loader/w32wnd.c: modify control function

2007-04-05 Kazuki IWAMOTO <iwm@maid.org>

	* w32loader/w32btn.c
	* w32loader/w32combo.c
	* w32loader/w32edit.c
	* w32loader/w32stc.c
	* w32loader/kernel32.[ch]
	* w32loader/user32.[ch]: add edit control and message

2007-04-04 Kazuki IWAMOTO <iwm@maid.org>

	* w32loader/kernel32.[ch]
	* w32loader/msvcrt.[ch]
	* w32loader/user32.[ch]: add mutex, semaphore and thread apis

2007-04-02 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/avifmt.h
	* avicore/gsrfmt.h
	* misc/fileio.c
	* misc/misc.c
	* w32loader/msvcrt.c: delete G_HAVE_GINT64

	* avicore/aviclip.c: gdk_pixbuf_unref to g_object_unref

	* avicore/aviextra.c: gtk_radio_button_group to gtk_radio_button_get_group

	* avicore/aviextra.c: gtk_entry_new_with_max_length to gtk_entry_new

	* avicore/aviplay.c: gdk_gc_destroy to g_object_unref

	* avicore/aviplay.c
	* src/sigfile.c
	* src/sigmain.c: gtk_timeout_remove to g_source_remove

	* avicore/avisave.c: g_dirname to g_path_get_dirname

	* misc/misc.c: add gdk_window_process_updates when scroll

	* misc/misc.c
	* src/general.c
	* src/sigfile.c: gdk_gc_destroy to g_object_unref

	* misc/misc.c
	* src/general.c: gdk_window_copy_area to gdk_draw_drawable

	* src/file.c
	* src/sigfile.c: gtk_notebook_set_page to gtk_notebook_set_current_page

	* src/general.c
	* src/sigfile.c: gtk_timeout_add to g_timeout_add

	* w32loader/user32.c: gdk_window_get_size to gdk_drawable_get_size

	* w32loader/user32.[ch]
	* w32loader/w32wnd.c
	* w32loader/w32user.h: add register class

	* w32loader/w32btn.c
	* w32loader/w32combo.c
	* w32loader/w32stc.c
	* w32loader/w32user.h: modify windowname for atom

2007-04-01 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/aviplay.c
	* misc/misc.c
	* src/command.c
	* src/general.c
	* src/sigfile.c: replace gtk_widget_draw to gtk_widget_queue_draw_area

	* w32loader/Makefile.am
	* w32loader/commdlg.[ch]
	* w32loader/kernel32.[ch]
	* w32loader/msvcrt.[ch]
	* w32loader/user32.[ch]
	* w32loader/w32btn.[ch]
	* w32loader/w32combo.[ch]
	* w32loader/w32dlg.[ch]
	* w32loader/w32edit.[ch]
	* w32loader/w32ldr.[ch]
	* w32loader/w32list.[ch]
	* w32loader/w32sbar.[ch]
	* w32loader/w32stc.[ch]
	* w32loader/w32dlg.[ch]
	* w32loader/w32wnd.[ch]
	* w32loader/w32user.h
	* w32loader/windef.h: add control and APIs

2007-03-31 Kazuki IWAMOTO <iwm@maid.org>

	* src/sigfile.c
	* src/sigmain.c
	* src/vmaid.c: delete deprecated font function

2007-03-30 Kazuki IWAMOTO <iwm@maid.org>

	* misc/argument.c
	* src/vmaid.c: delete gtk_exit

2007-03-29 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.1.0

2007-03-28 Kazuki IWAMOTO <iwm@maid.org>

	* misc/winmain.c: rename common.h to gcommon.h

	* orz/orzcomm.c: modify arg memory bug

	* w32loader/kernel32.[ch]
	* w32loader/shell32.[ch]
	* w32loader/user32.[ch]
	* w32loader/winsock.[ch]: add APIs

2007-03-25 Kazuki IWAMOTO <iwm@maid.org>

	* misc/fileio.[ch]: add fileio_rmdir function

	* Makefile.am
	* Makefile.msc.in
	* common.h
	* gcommon.h
	* avicore/avicore.h
	* avicore/chunk.h
	* avicore/wave.h
	* misc/argument.h
	* misc/bitmap.h
	* misc/fileio.h
	* misc/gnugpl.h
	* misc/license.h
	* misc/misc.h
	* misc/profile.h
	* orz/orzaccel.h
	* orz/orzcomm.h
	* orz/orzhistory.h
	* orz/orzmdi.h
	* orz/orzpref.h
	* src/vmaid.h: rename common.h to gcommon.h

	* configure.ac
	* w32loader/Makefile.am
	* w32loader/advapi32.[ch]
	* w32loader/commctrl.[ch]
	* w32loader/commdlg.[ch]
	* w32loader/direct.h
	* w32loader/gdi32.[ch]
	* w32loader/htmlhelp.[ch]
	* w32loader/kernel32.[ch]
	* w32loader/mbstring.h
	* w32loader/ole32.[ch]
	* w32loader/process.h
	* w32loader/rasapi32.[ch]
	* w32loader/ras.h
	* w32loader/rasdlg.[ch]
	* w32loader/raserror.h
	* w32loader/shell32.[ch]
	* w32loader/shlobj.h
	* w32loader/user32.[ch]
	* w32loader/w32ldr.c
	* w32loader/windef.h
	* w32loader/windows.h
	* w32loader/windowsx.h
	* w32loader/winmm.[ch]
	* w32loader/winsock.[ch]: add APIs

2007-03-18 Kazuki IWAMOTO <iwm@maid.org>

	* misc/argument.[ch]: modify struct member const

	* src/vmaid.c: add GNU GPL display option

	* src/vmaid.c: add drop files at mdi

2007-03-16 Kazuki IWAMOTO <iwm@maid.org>

	* w32loader/w32ldr.c: modify mb value at w32ldr_tchar_to_mb

2007-03-11 Kazuki IWAMOTO <iwm@maid.org>

	* misc/fileio.[ch]: add fileio_eof function

	* Makefile.msc.in
	* avicore/Makefile.am
	* avicore/aviclip.c
	* avicore/avicore.h
	* avicore/avifile.c
	* avicore/aviopen.c
	* avicore/avisave.c
	* avicore/bitpmap.[ch]
	* avicore/icm.h
	* avicore/pixbuf.[ch]
	* misc/Makefile.am
	* misc/bitpmap.[ch]
	* misc/pixbuf.[ch]: move bitpmap.[ch] and pixbuf.[ch]

2007-03-09 Kazuki IWAMOTO <iwm@maid.org>

	* w32loader/advapi32.c
	* w32loader/kernel32.c
	* w32loader/w32ldr.[ch]: add w32ldr_dir_get_case_insensitive

2007-03-05 Kazuki IWAMOTO <iwm@maid.org>

	* misc/profile.[ch]
	* w32loader/kernel32.c
	* w32loader/w32ldr.c
	* src/vmaid.c: modify for GLib-2.12.[567]

	* common.h: modify g_strncpy and g_strncat

2007-03-04 Kazuki IWAMOTO <iwm@maid.org>

	* w32loader/advapi32.c
	* w32loader/gdi32.c
	* w32loader/kernel32.[ch]
	* w32loader/msvcrt.c
	* w32loader/ole32.c
	* w32loader/oleaut32.c
	* w32loader/tchar.h
	* w32loader/user32.[ch]
	* w32loader/version.c
	* w32loader/w32ldr.[ch]
	* w32loader/winmm.c: add implement flag in exports structure

2007-02-25 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/avifile.c: modify keyframe bug if AVI 2.0

	* avicore/avisave.c: add null frame compare

2007-02-09 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.0.9

2007-02-08 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/avibase.[ch]
	* avicore/avifile.c
	* avicore/avimemory.c
	* avicore/avitext.c: add memory optimization

2007-01-23 Kazuki IWAMOTO <iwm@maid.org>

	* src/command.c
	* src/sigmain.c: disable file_merge

2007-01-16 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.0.8

2007-01-15 Kazuki IWAMOTO <iwm@maid.org>

	* CONTRIBUTORS
	* avicore/avisave.c
	* src/version.c: modify continual memory image save bug
	(Thanks Hiroyuki Teshirogi)

2007-01-07 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.msc.in
	* avicore/avibase.h
	* avicore/avicore.h
	* avicore/aviextra.c
	* avicore/avisave.c
	* src/command.c: add avi_save_pixbuf

2007-01-06 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/aviextra.c
	* avicore/aviplay.c
	* orz/orzhistory.c
	* orz/orzmdi.c
	* orz/orzpref.c: modify class initialize

2007-01-05 Kazuki IWAMOTO <iwm@maid.org>

	* orz/orzmdi.c
	* src/thread.c
	* w32loader/user32.c: rename gtk_container_children

	* src/prop.c: gtk_combo_set_popdown_strings memory bug

	* avicore/avicore.h
	* avicore/avifile.c
	* avicore/aviopen.c: add AVI_FILE_PIXBUF

2007-01-04 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.msc.in
	* avicore/avibase.c
	* avicore/avifile.c: add avifile.c

	* avicore/aviextra.[ch]
	* src/command.c: add avi_extra_set_range

2007-01-03 Kazuki IWAMOTO <iwm@maid.org>

	* misc/fileio.c: modify convert bitmap to pixmap bug

	* avicore/aviframe.c
	* avicore/avisave.c
	* avicore/bitmap.[ch]: add bm_image_pointer

	* avicore/avibase.[ch]
	* avicore/aviopen.c: add avi_file_open_pixbuf

	* Makefile.msc.in
	* avicore/avibase.c
	* avicore/aviclip.c
	* avicore/aviopen.c
	* avicore/pixbuf.[ch]: add pixbuf convert functions

2007-01-01 Kazuki IWAMOTO <iwm@maid.org>

	* misc/fileio.c: modify convert bitmap to pixmap bug

	* avicore/aviclip.[ch]: add GdkPixbuf and use GtkClipboard

	* avicore/avicore.h
	* avicore/aviopen.c: add avi_edit_open_from_pixbuf

	* avicore/avicore.h
	* avicore/aviframe.c: modify raw frame format

2006-12-29 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.0.7

2006-12-19 Kazuki IWAMOTO <iwm@maid.org>

	* src/vmaid.c: rename n_pos to npos

2006-12-17 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/avibase.[ch]
	* avicore/aviclip.c
	* avicore/avicore.h
	* avicore/aviframe.c
	* avicore/aviopen.c
	* avicore/avitext.c: add clipboard from CF_DIB on Windows

2006-12-14 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.msc
	* Makefile.msc.in
	* configure.ac: add Makefile.msc.in and delete Makefile.msc

2006-12-01 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.0.6

2006-12-01 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/acm.c
	* avicore/icm.c: not use ghash_handler/tag unless USE_W32LDR
	(Thanks MATSUU Takuto)

2006-11-30 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.0.5

2006-11-30 Kazuki IWAMOTO <iwm@maid.org>

	* CONTRIBUTORS
	* avicore/wave.c
	* src/version.c: delete #include <windows.h> (Thanks MATSUU Takuto)

2006-11-29 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.0.4

2006-11-23 Kazuki IWAMOTO <iwm@maid.org>

	* misc/misc.c: add gtk_toolbar_set_show_arrow

2006-11-18 Kazuki IWAMOTO <iwm@maid.org>

	* misc/fileio.[ch]
	* orz/orzhistory.c
	* orz/orzmdi.c
	* src/merge.c
	* src/thread.c: modify icon size

2006-11-16 Kazuki IWAMOTO <iwm@maid.org>

	* configure.ac
	* avicore/aviplay.[ch]: add libao

	* avicore/wave.c: modify buffer alloc bug

2006-11-11 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.msc
	* orz/Makefile.am
	* orz/orzconf.[ch]
	* orz/orzpref.[ch]
	* po/POTFILES.in
	* src/command.[ch]
	* src/vmaid.c: rename conf to pref

	* src/sigmain.c: modify signal destroy at draw

2006-11-10 Kazuki IWAMOTO <iwm@maid.org>

	* misc/Makefile.am
	* misc/misc.[ch]
	* src/Makefile.am
	* src/vmaid.c: add misc_spec_* functions

2006-11-09 Kazuki IWAMOTO <iwm@maid.org>

	* misc/fileio.c
	* orz/orzmdi.c: modify icon size

	* avicore/avisave.c: modify local variable

	* avicore/bitmap.h: add BF_TYPE

2006-10-29 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.0.3

2006-10-28 Kazuki IWAMOTO <iwm@maid.org>

	* src/vmaid.c: modify profile read and write

2006-10-18 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.am
	* Makefile.msc
	* configure.ac
	* doc/Makefile.am
	* doc/en/Makefile.am
	* doc/en/address.html
	* doc/en/change.html
	* doc/en/command.html
	* doc/en/conf.html
	* doc/en/edit.html
	* doc/en/frame.html
	* doc/en/index.html
	* doc/en/input.html
	* doc/en/intro.html
	* doc/en/jump.html
	* doc/en/merge.html
	* doc/en/open.html
	* doc/en/preview.html
	* doc/en/property.html
	* doc/en/reverse.html
	* doc/en/save.html
	* doc/en/size.html
	* doc/ja/Makefile.am
	* doc/ja/address.html
	* doc/ja/change.html
	* doc/ja/command.html
	* doc/ja/conf.html
	* doc/ja/edit.html
	* doc/ja/frame.html
	* doc/ja/index.html
	* doc/ja/input.html
	* doc/ja/intro.html
	* doc/ja/jump.html
	* doc/ja/merge.html
	* doc/ja/open.html
	* doc/ja/preview.html
	* doc/ja/property.html
	* doc/ja/reverse.html
	* doc/ja/save.html
	* doc/ja/size.html: add html documents

2006-10-10 Kazuki IWAMOTO <iwm@maid.org>

	* common.h: modify argument of memcmp and memset

2006-10-05 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.0.2

2006-10-04 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/aviextra.c
	* avicore/avisave.c
	* src/command.c: add GtkShot Raw save and modify dialog extra

2006-10-03 Kazuki IWAMOTO <iwm@maid.org>

	* misc/license.c: modify radio button sensitive (Thanks Takuro Ashie)

2006-09-29 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.0.1

2006-09-28 Kazuki IWAMOTO <iwm@maid.org>

	* configure.ac
	* misc/Makefile.am
	* misc/fileio.c: add mime-type icons

2006-08-06 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.msc
	* avicore/Makefile.am
	* avicore/avibase.[ch]
	* avicore/avicore.[ch]
	* avicore/aviextra.[ch]
	* avicore/aviframe.c
	* avicore/aviopen.c
	* avicore/avisave.c
	* avicore/gsrfmt.h
	* po/ja.po: add GtkShot Raw format support

2006-07-29 Kazuki IWAMOTO <iwm@maid.org>

	* version 2.0.0

2006-07-29 Kazuki IWAMOTO <iwm@maid.org>

	* orz/orzmdi.c: modify destroy child widget tab_label

	* src/vmaid.c: modify GTK_STOCK_SELECT_ALL

2006-07-26 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/aviclip.[ch]
	* src/command.c
	* src/sigmain.[ch]: change AviClip argument type

	* avicore/avitext.c: modify scenario object bitmap format

	* avicore/avicore.h
	* avicore/aviopen.c
	* src/file.c: change avi_edit_open and aff avi_edit_open_with_param

	* misc/misc.c: modify misc_str_to_array space and case

2006-07-25 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/avisave.c: modify PCM samples per frame

2006-07-22 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.msc
	* avicore/Makefile.am
	* avicore/aviplay.[ch]
	* po/POTFILES.in
	* src/icons.[ch]
	* src/preview.c: add AviPlay

	* src/sigfile.c
	* src/sigmain.c
	* src/vmaid.c: use gdk_colormap_alloc_colors

	* Makefile.msc
	* avicore/Makefile.am
	* avicore/avifileextra.[ch]
	* avicore/aviextra.[ch]
	* po/POTFILES.in
	* src/command.c: rename AviFileExtra to AviExtra

	* orz/orzaccel.[ch]
	* orz/orzcomm.[ch]
	* orz/orzhistory.[ch]
	* orz/orzmdi.[ch]
	* orz/orzwinmenu.[ch]: delete macro

	* avicore/acm.[ch]
	* avicore/avibase.[ch]
	* avicore/avicore.[ch]
	* avicore/aviedit.c
	* avicore/aviextra.c
	* avicore/aviframe.c
	* avicore/aviopen.c
	* avicore/avipcm.c
	* avicore/avisave.c
	* avicore/avitext.c
	* avicore/icm.h
	* src/change.c
	* src/command.c
	* src/file.c
	* src/general.c
	* src/merge.c
	* src/sigfile.c
	* src/sigmain.c: change API names

	* Makefile.msc
	* avicore/Makefile.am
	* avicore/avibase.h
	* avicore/avicore.[ch]
	* avicore/avilang.[ch]
	* po/POTFILES.in
	* src/prop.c: add avi_lang functions

2006-07-19 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.msc
	* avicore/Makefile.am
	* avicore/avifilesel.[ch]
	* src/command.c: delete AviFileSelection

	* src/command.c
	* src/vmaid.[ch]: enable addext if under 2.4.0

2006-07-07 Kazuki IWAMOTO <iwm@maid.org>

	* configure.ac
	* avocire/Makefile.am
	* src/preview.c: add ALSA to preview
	This commit is a result of hacks
	at the CodeFest Akihabara 2006 hosted by FSIJ.

2006-06-29 Kazuki IWAMOTO <iwm@maid.org>

	* version 1.9.9

2006-06-28 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.msc: disable all warnings

2006-06-25 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/avicore.[ch]
	* src/prop.c: change avi language id

2006-06-24 Kazuki IWAMOTO <iwm@maid.org>

	* misc/license.c
	* orz/orzconf.c
	* src/change.c
	* src/command.c
	* src/general.c
	* src/jump.c
	* src/merge.c
	* src/prop.c
	* src/size.c
	* w32loader/user32.c: change button position

	* Makefile.msc
	* avicore/Makefile.am
	* avicore/aviclip.[ch]
	* src/command.c
	* src/sigmain.[ch]
	* src/vmaid.[ch]: add aviclip.[ch] for clipboard

2006-06-20 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.am
	* po/Makevars: delete config.rpath

	* misc/fileio.[ch]
	* src/file.c
	* src/vmaid.c
	* w32loader/w32ldr.c: delete fileio_isfile and fileio_test

2006-06-11 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.msc
	* acconfig.h
	* autogen.sh
	* configure.ac
	* po/Makevars: modify for autotools

	* avicore/avibase.[ch]
	* avicore/avicore.h
	* avicore/avipcm.c
	* avicore/avisave.c
	* avicore/avitext.c
	* avicore/bitmap.c
	* avicore/wave.c
	* misc/fileio.c
	* misc/profile.c
	* orz/orzcomm.c
	* orz/orzmdi.c
	* src/command.c
	* src/sigfile.c
	* src/sigmain.c
	* w32loader/kernel.c
	* w32loader/tchar.h
	* w32loader/windef.h
	* w32loader/w32ldr.c: modify compile warning and error

2006-04-29 Kazuki IWAMOTO <iwm@maid.org>

	* version 1.9.8

2006-04-28 Kazuki IWAMOTO <iwm@maid.org>

	* po/ja.po
	* misc/misc.[ch]
	* src/vmaid.c: add MISC_CREATE_MENU_NOIMAGE

	* src/preview.c: modify vertical scale size

2006-04-27 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.am
	* Makefile.msc
	* vmaid.ico
	* vmaid.rc
	* src/Makefile.am
	* src/vmaid.ico
	* src/vmaid.rc: move resource files

	* src/preview.c: set vertical scale size

2006-04-26 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.msc
	* po/POTFILES.in
	* src/Makefile.am
	* src/command.[ch]
	* src/preview.[ch]
	* src/vmaid.c: add preview function

2006-04-16 Kazuki IWAMOTO <iwm@maid.org>

	* AUTHORS
	* CONTRIBUTORS
	* Makefile.am
	* Makefile.msc
	* po/ja.po
	* src/version.c: modify authors and contributors

	* src/command.c
	* src/jump.[ch]: add select range

2006-04-15 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/avicore.h
	* avicore/avisave.c
	* po/ja.po
	* src/command.c: add automatic file name extension

	* avicore/avibase.h
	* avicore/avifileextra.c
	* avicore/avisave.c: add nullframe
	* po/ja.po

	* src/command.c
	* src/sigmain.c: use gtk_widget_set_size_request

2006-03-29 Kazuki IWAMOTO <iwm@maid.org>

	* version 1.9.7

2006-03-28 Kazuki IWAMOTO <iwm@maid.org>

	* src/file.c
	* src/merge.c: add merge

	* avicore/avifileextra.c: use stock button

2006-03-17 Kazuki IWAMOTO <iwm@maid.org>

	* src/thread.c
	* src/vmaid.[ch]
	* w32loader/user32.c: delete global store

2006-03-15 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/avifileextra.c
	* src/size.c
	* src/version.c: delete GTK_CAN_DEFAULT

	* orz/orzmdi.[ch]: add orz_mdi_get_display_name

2006-03-14 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.msc
	* po/POTFILES.in
	* po/ja.po
	* src/Makefile.am
	* src/command.[ch]
	* src/merge.[ch]
	* src/vmaid.c: add merge

2006-03-12 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.msc
	* po/POTFILES.in
	* po/ja.po
	* src/Makefile.am
	* src/change.[ch]
	* src/command.[ch]
	* src/thread.[ch]
	* src/vmaid.c: add change frames

2006-03-09 Kazuki IWAMOTO <iwm@maid.org>

	* src/sigmain.c
	* src/thread.c
	* src/vmaid.c: modify task menu item sensitive

	* src/command.c
	* src/general.c
	* src/sigmain.c
	* src/sigfile.c: modify top range

	* src/command.c
	* src/sigmain.c: use gtk_widget_set_size_request

2006-03-08 Kazuki IWAMOTO <iwm@maid.org>

	* misc/misc.[ch]: add MISC_CREATE_MENU_DISABLE

	* avicore/avibase.c
	* avicore/aviedit.c
	* avicore/avitext.c: add samples member if audio stream

	* avicore/avitext.c: modify name command bug

	* avicore/avitext.c: modify avi_release_file with NULL bug

	* src/sigmain.c
	* src/vmaid.c: modify cancel menu item sensitive

2006-03-07 Kazuki IWAMOTO <iwm@maid.org>

	* misc/fileio.c: modify filename encoding on Windows lower 2.6.0

2006-03-05 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/avipcm.c
	* avicore/avisave.c: modify audio length at avi save

2006-02-22 Kazuki IWAMOTO <iwm@maid.org>

	* src/command.c: reverse frame if selected

2006-02-21 Kazuki IWAMOTO <iwm@maid.org>

	* src/command.[ch]
	* src/file.[ch]
	* src/general.[ch]: add reverse frame function

	* avicore/avibase.c
	* avicore/aviedit.c
	* avicore/aviframe.c
	* avicore/avitext.c
	* misc/fileio.[ch]: add fileio_ref and fileio_unref

	* orz/orzaccel.h
	* orz/orzcomm.[ch]
	* orz/orzhistory.[ch]
	* orz/orzmdi.[ch]
	* orz/orzwinmenu.[ch]: use const arguments

2006-02-19 Kazuki IWAMOTO <iwm@maid.org>

	* misc/misc.[ch]: add check and radio menu item

	* po/ja.po
	* src/command.[ch]
	* src/file.c
	* src/general.[ch]
	* src/sigfile.c
	* src/sigmain.c
	* src/vmaid.[ch]: add selected frame view

2006-02-18 Kazuki IWAMOTO <iwm@maid.org>

	* common.h
	* misc/fileio.c
	* w32loader/w32ldr.c: use G_IS_DIR_SEPARATOR

2006-02-16 Kazuki IWAMOTO <iwm@maid.org>

	* misc/fileio.c
	* orz/orzhistory.c
	* orz/orzmdi.c
	* orz/orzwinmenu.c
	* src/general.c
	* src/thread.c: use g_filename_display_name

	* avicore/avifileextra.c: replace g_strjoin to g_strconcat

	* w32loader/kernel32.c: include sys/time.h

2006-02-10 Kazuki IWAMOTO <iwm@maid.org>

	* src/icon.[ch]
	* src/vmaid.c: add icons

	* src/thread.[ch]
	* src/vmaid.c: use pixbuf and progressbar in TreeView

	* common.h
	* avicore/avitext.c
	* misc/argument.c
	* misc/profile.c
	* w32loader/advapi32.c
	* w32loader/kernel32.c
	* w32loader/msvcrt.c
	* w32loader/user32.c
	* w32loader/w32ldr.c: replace g_strcasecmp to g_ascii_strcasecmp

	* src/general.c: modify audio max length in get_max_frame

	* Makefile.msc
	* avicore/Makefile.am
	* avicore/avibase.[ch]
	* avicore/aviedit.c
	* avicore/aviframe.c
	* avicore/avimemory.c
	* avicore/avisave.c
	* avicore/avitext.c: add AviMemory

2006-02-09 Kazuki IWAMOTO <iwm@maid.org>

	* misc/misc.[ch]
	* orz/orzhistory.c
	* src/icons.[ch]
	* src/version.c
	* src/vmaid.c: add image menu function

	* src/thread.c: modify ctime string and Win32 API

2006-02-08 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/avisave.c: add acm compress function for AVI

	* avicore/wave.c: modify wave_convert_samples_per_sec

	* avicore/wave.h: add wf_header_cmp

	* avicore/avipcm.c
	* avicore/wave.[ch]: add wave_fill_silent_pcm

2006-02-02 Kazuki IWAMOTO <iwm@maid.org>

	* w32loader/kernel32.c: use glonglong

2006-01-29 Kazuki IWAMOTO <iwm@maid.org>

	* version 1.9.6

2006-01-28 Kazuki IWAMOTO <iwm@maid.org>

	* src/vmaid.c: use G_N_ELEMENTS

2006-01-21 Kazuki IWAMOTO <iwm@maid.org>

	* misc/license.c: use fixed for radio buttons

	* w32loader/user32.c: use gtk_widget_set_size_request

2006-01-18 Kazuki IWAMOTO <iwm@maid.org>

	* vmaid16.png
	* vmaid24.png
	* vmaid32.png
	* vmaid48.png: change png format

2006-01-16 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.msc
	* src/Makefile.am
	* src/command.c
	* src/file.c
	* src/general.c
	* src/icons.[ch]
	* src/jump.c
	* src/prop.c
	* src/sigfile.c
	* src/sigmain.c
	* src/size.c
	* src/thread.c
	* src/toolbar.[ch]
	* src/version.c
	* src/vmaid.[ch]: add gtk_window_set_icon_list

2006-01-15 Kazuki IWAMOTO <iwm@maid.org>

	* src/vmaid.c
	* w32loader/user32.c: delete gtk_window_set_policy

	* misc/misc.[ch]
	* orz/orzconf.c
	* src/command.c
	* src/jump.c
	* src/prop.c
	* src/size.c
	* src/toolbar.c
	* src/vmaid.c: use stock menu and toolbar

	* misc/misc.[ch]
	* src/command.c
	* src/general.c
	* src/jump.c
	* src/prop.c
	* src/sigmain.c
	* src/size.c
	* src/version.c: usr misc_dialog_key_press

2006-01-13 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/avicore.h
	* avicore/avisave.c
	* avicore/avitext.c: add compress functions at avi_save_wave

2006-01-07 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/acm.[ch]
	* avicore/avifileextra.c
	* avicore/avisave.c
	* po/ja.po
	* w32loader/vfw.h: add compress functions

2006-01-03 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/acm.c
	* avicore/avibase.[ch]
	* avicore/aviopen.c
	* avicore/avipcm.c: add acm decompress functions

	* avicore/avicore.h
	* avicore/aviopen.c: delete deprecated functions

	* src/command.c: add misc_set_scroll_bar at command_property

	* avicore/acm.[ch]
	* avicore/avifileextra.c
	* avicore/icm.[ch]
	* src/version.c
	* w32loader/user32.c: add parent window for dialog

2005-12-31 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/acm.c
	* w32loader/vfw.h: add decompress functions

	* avicore/chunk.h: add tolower4cc macro

2005-12-30 Kazuki IWAMOTO <iwm@maid.org>

	* w32loader/user32.c: add combo_box if 2.4.0 over

	* w32loader/user32.c: modify gtk_label_set_line_wrap

	* src/prop.c: use gtk_bin_get_child

2005-12-29 Kazuki IWAMOTO <iwm@maid.org>

	* version 1.9.5

2005-12-27 Kazuki IWAMOTO <iwm@maid.org>

	* w32loader/advapi32.[ch]
	* w32loader/kernel32.[ch]
	* w32loader/windef.h: change registry format

	* w32loader/kernel32.c: change profile group and key compare

2005-12-24 Kazuki IWAMOTO <iwm@maid.org>

	* misc/profile.c: modify groups and keys memory alloc

2005-12-23 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.msc
	* avicore/Makefile.am
	* avicore/acm.[ch]
	* avicore/icm.c
	* src/version.c
	* w32loader/user32.[ch]
	* w32loader/vfw.h: add ACM codec support

	* w32loader/makefile.am
	* w32loader/ole32.c
	* w32loader/oleaut32.[ch]
	* w32loader/shell32.c
	* w32loader/w32ldr.c
	* w32loader/windows.h: add oleaut32.dll

2005-12-22 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.am
	* Makefile.msc
	* acconfig.h
	* common.h
	* config.h.msc
	* configure.ac: modify Windows compile

2005-12-20 Kazuki IWAMOTO <iwm@maid.org>

	* w32loadre/vfw.h: add BITMAPINFOHEADER

	* w32loader/winmm.[ch]: add DRV_CANCEL DRV_OK DRV_RESTART

	* w32loader/windows.h: add tchar.h and delete msvcrt.h

	* w32loader/tchar.h: add T and TEXT macro

	* w32loader/kernel32.[ch]: add COORD and MAKEINTRESOURCE

2005-12-19 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.msc: delete icm32.h

	* w32loader/winmm.c: modify filename of OpenDriver

	* w32loader/vfw.h: add mmioFOURCC

2005-12-18 Kazuki IWAMOTO <iwm@maid.org>

	* acconfig.h
	* configure.ac
	* Makefile.am
	* avicore/icm.c
	* avicore/icm32.h
	* dllloader/Makefile.am
	* dllloader/pshpack[1248].h
	* dllloader/poppack.h
	* dllloader/windef.h
	* dllloader/pe_image.[ch]
	* dllloader/pe.h
	* dllloader/advapi32.[ch]
	* dllloader/borlndmm.[ch]
	* dllloader/gdi32.[ch]
	* dllloader/kernel32.[ch]
	* dllloader/msvcrt.[ch]
	* dllloader/ole32.[ch]
	* dllloader/resource.[ch]
	* dllloader/shell32.[ch]
	* dllloader/user32.[ch]
	* dllloader/version.[ch]
	* dllloader/winuser.[ch]
	* dllloader/winmm.[ch]
	* misc/misc.[ch]
	* w32loader/Makefile.am
	* w32loader/pshpack[1248].h
	* w32loader/poppack.h
	* w32loader/w32ldr.[ch]
	* w32loader/image.h
	* w32loader/tchar.h
	* w32loader/vfw.h
	* w32loader/windef.h
	* w32loader/windows.h
	* w32loader/advapi32.[ch]
	* w32loader/gdi32.[ch]
	* w32loader/kernel32.[ch]
	* w32loader/msvcrt.[ch]
	* w32loader/ole32.[ch]
	* w32loader/shell32.[ch]
	* w32loader/user32.[ch]
	* w32loader/version.[ch]
	* w32loader/winmm.[ch]: delete dllloader and add w32loader

2005-12-06 Kazuki IWAMOTO <iwm@maid.org>

	* common.h: modify G_MAXSIZE macro

	* misc/misc.[ch]: modify arg 1 of misc_str_from_array

2005-11-29 Kazuki IWAMOTO <iwm@maid.org>

	* version 1.9.4

2005-11-27 Kazuki IWAMOTO <iwm@maid.org>

	* COPYING
	* misc/gnugpl.c: change to newest COPYING

2005-10-29 Kazuki IWAMOTO <iwm@maid.org>

	* version 1.9.3

2005-10-26 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/avitext.c
	* misc/fileio.c
	* misc/profile.c
	* orz/orzcomm.c
	* src/sigmain.c: change g_strsplit argument

2005-10-17 Kazuki IWAMOTO <iwm@maid.org>

	* orz/orzhistory.c
	* orz/orzwinmenu.c: modify g_list_free and menu item hide bug

2005-10-14 Kazuki IWAMOTO <iwm@maid.org>

	* misc/fileio.[ch]
	* orz/orzmdi.c: add drag and drop icon

	* Makefile.msc
	* po/ja.po
	* misc/Makefile.am
	* misc/gnugpl.[ch]
	* misc/license.[ch]
	* src/version.c
	* src/vmaid.c: divide dialog and text of license

2005-10-13 Kazuki IWAMOTO <iwm@maid.org>

	* orz/orzmdi.[ch]
	* orz/orzwinmenu.[ch]: add reorder tab

2005-10-12 Kazuki IWAMOTO <iwm@maid.org>

	* po/ja.po
	* orz/orzconf.[ch]
	* src/command.c: use GtkDialog

2005-10-09 Kazuki IWAMOTO <iwm@maid.org>

	* misc/fileio.[ch]: add fileio_mkdir

	* src/vmaid.c: use g_key_file functions

	* po/ja.po
	* src/command.c
	* src/general.c
	* src/sigmain.c: delete misc_message_box and use GtkMessageDialog

	* src/sigmain.[ch]
	* src/vmaid.c: add tree view popup menu

	* src/command.c
	* src/jump.[ch]
	* src/prop.[ch]
	* src/size.[ch]
	* src/version.c: use GtkDialog

2005-10-08 Kazuki IWAMOTO <iwm@maid.org>

	* misc/fileio.[ch]
	* misc/profile.[ch]: add g_key_file functions

	* avicore/avifileextra.c
	* avicore/icm.c
	* misc/misc.c
	* src/size.c: use pointer conversion macros

2005-10-05 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/icm.c
	* misc/fileio.c
	* src/vmaid.c: use g_build_filename

2005-10-04 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/avisave.c: modify scenario object save

	* misc/license.c: add gdk_threads_enter and gdk_threads_leave

	* src/sigmain.c: modify audio paste max length bug

2005-10-02 Kazuki IWAMOTO <iwm@maid.org>

	* src/command.c
	* src/general.c
	* src/sigfile.c
	* src/sigmain.c: modify top frame range

2005-10-01 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/aviedit.c
	* avicore/avipcm.c
	* avicore/wave.c
	* src/prop.c: enable sampling frequency

	* src/sigmain.c: modify task menu sensitive bug

	* src/sigmain.c: modify paste undo bug

	* src/thread.c: delete gdk_threads_enter/leave at thread_break

2005-09-29 Kazuki IWAMOTO <iwm@maid.org>

	* version 1.9.2

2005-09-28 Kazuki IWAMOTO <iwm@maid.org>

	* misc/fileio.c: use g_win32_locale_filename_from_utf8

	* src/vmaid.c: modify bindtextdomain directory seelect

2005-09-27 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/avicore.c
	* avicore/wave.c: modify WaveConv bugs

2005-09-26 Kazuki IWAMOTO <iwm@maid.org>

	* src/prop.c: delete audio property limit

	* src/sigfile.c: modify glonglong type cast

2005-09-25 Kazuki IWAMOTO <iwm@maid.org>

	* misc/argument.c: modify option analyse bug

	* orz/orzcomm.c: modify orz_comm_selection_get locking bug

	* avicore/avisave.c: modify stream samples and chunk size

2005-09-24 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.msc
	* avicore/Makefile.am
	* avicore/avibase.[ch]
	* avicore/avicore.[ch]
	* avicore/aviopen.c
	* avicore/avipcm.c
	* avicore/avisave.c
	* avicore/wave.[ch]
	* src/sigfile.c: change audio sample unit

2005-08-27 Kazuki IWAMOTO <iwm@maid.org>

	* common.h
	* src/command.c
	* src/sigmain.c: add longlong type definítion

	* src/sigfile.c: modify popup menu

2005-08-06 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/avibase.h
	* avicore/aviframe.c: move struct _AviFrame

2005-07-29 Kazuki IWAMOTO <iwm@maid.org>

	* version 1.9.1

2005-07-23 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/wave.c: modify g_memove pointer types

2005-07-22 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.msc
	* avicore/Makefile.am
	* avicore/wave.[ch]: add PCM convert functions

2005-07-12 Kazuki IWAMOTO <iwm@maid.org>

	* misc/profile.c: modify profile_open bugs

2005-07-12 Kazuki IWAMOTO <iwm@maid.org>

	* misc/fileio.[ch]
	* misc/profile.[ch]: hide struct member

	* avicore/avibase.[ch]
	* avicore/avicore.[ch]
	* avicore/aviedit.c
	* avicore/avifileextra.c
	* avicore/aviframe.c
	* avicore/aviopen.c
	* avicore/avisave.c
	* avicore/avitext.c: add avibase.c

2005-07-07 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/avicore.h
	* avicore/avifmt.h
	* avicore/bitmap.h
	* avicore/icm.h
	* avicore/icm32.h
	* avicore/wave.h
	* misc/argument.h
	* misc/fileio.h
	* misc/misc.h
	* misc/profile.h
	* src/file.h
	* src/jump.h
	* src/prop.h
	* src/size.h
	* src/thread.h
	* src/vmaid.h: rename name_Tag to _name

	* avicore/avifileextra.c
	* avicore/icm.[ch]
	* src/version.c: delete icm_get_info

2005-07-03 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/icm.c
	* avicore/icm32.h: replace AVI_IF_KEYFRAME to AVIIF_KEYFRAME

2005-06-29 Kazuki IWAMOTO <iwm@maid.org>

	* version 1.9.0

2005-06-26 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/avicore.h
	* avicore/aviframe.h
	* avicore/icm.c: modify palette at decompress

	* avicore/avisave.c: modify recompress key_frame bug

	* avicore/avicore.c
	* avicore/avisave.c: add UTF-8 name check

2005-06-16 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/icm.c: modify handler case convert

2005-06-14 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/avifileextra.c: modify changed key_frame and quality

	* avicore/avisave.c
	* avicore/icm.[ch]: add key_frame member in IcmObject

2005-06-13 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/aviopen.c: modify file release bug

2005-06-12 Kazuki IWAMOTO <iwm@maid.org>

	* misc/misc.[ch]: add tooltips in toolbutton

2005-06-06 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.msc
	* avicore/avicore.c
	* avicore/aviedit.c
	* avicore/aviframe.c
	* avicore/aviopen.c
	* avicore/bitmap.[ch]
	* avicore/icm.[ch]
	* po/POTFILES.in
	* po/ja.po: modify decompress bugs

2005-06-02 Kazuki IWAMOTO <iwm@maid.org>

	* src/thread.c: modify task menu sensitive

	* src/version.c: display about dialog when double click

2005-05-31 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/icm.[ch]: use OpenDriver, CloseDriver and SendDriverMessage

2005-05-29 Kazuki IWAMOTO <iwm@maid.org>

	* version 1.8.26

2005-05-29 Kazuki IWAMOTO <iwm@maid.org>

	* orz/orzwimenu.[ch]: use GtkRadioMenuItem

	* Makefile.msc
	* src/thread.c: use misc_create_menu and misc_create_toolbar

	* avicore/avifileextra.c: modify rendering bug

2005-05-01 Kazuki IWAMOTO <iwm@maid.org>

	* misc/misc.[ch]
	* po/ja.po
	* src/command.[ch]
	* src/general.c
	* src/sigfile.c
	* src/sigmain.c
	* src/toolbar.[ch]
	* src/vmaid.[ch]: use misc_create_menu and misc_create_toolbar

2005-04-30 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.am
	* Makefile.msc
	* misc/Makefile.am
	* misc/misc_accel.[ch]
	* misc/misc_comm.[ch]
	* misc/misc_conf.[ch]
	* misc/misc_history.[ch]
	* misc/misc_mdi.[ch]
	* misc/misc_winmenu.[ch]
	* orz/Makefile.am
	* orz/orzaccel.[ch]
	* orz/orzcomm.[ch]
	* orz/orzconf.[ch]
	* orz/orzhistory.[ch]
	* orz/orzmdi.[ch]
	* orz/orzwinmenu.[ch]
	* po/POTFILES.in
	* src/Makefile.am: orz library

2005-04-29 Kazuki IWAMOTO <iwm@maid.org>

	* version 1.8.25

2005-04-21 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/avifileextra.c
	* src/prop.c: use GtkComboBoxEntry if 2.4.0

2005-04-19 Kazuki IWAMOTO <iwm@maid.org>

	* acconfig.h
	* config.h.msc
	* configure.ac
	* misc/misc_mdi.[ch]
	* src/command.c: delete USE_GTK24

	* misc/winmain.c: modify command line parse

2005-04-12 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.msc
	* misc/Makefile.am
	* misc/misc_conf.c
	* misc/misc_history.[ch]
	* src/command.c
	* src/file.[ch]
	* src/sigmain.[ch]
	* src/vmaid.[ch]: generalize history

2005-04-10 Kazuki IWAMOTO <iwm@maid.org>

	* misc/misc_winmenu.[ch]: modify sensitive bug

2005-03-29 Kazuki IWAMOTO <iwm@maid.org>

	* version 1.8.24

2005-03-24 Kazuki IWAMOTO <iwm@maid.org>

	* misc/license.c: strictize license dialog

2005-03-20 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.msc
	* misc/Makefile.am
	* misc/misc_mdi.[ch]
	* misc/misc_winmenu.[ch]
	* misc/file.c
	* misc/general.c
	* misc/mmaid.[ch]
	* misc/sigfile.c
	* misc/sigmain.[ch]: generalize window menu

2005-03-12 Kazuki IWAMOTO <iwm@maid.org>

	Makefile.msc
	misc/Makefile.am
	misc/fileio.[ch]
	misc/misc_mdi.[ch]
	src/command.c
	src/file.[ch]
	src/general.[ch]
	src/sigfile.c
	src/sigmain.[ch]
	src/thread.c
	src/vmaid.[ch]: generalize mdi interface

2005-02-28 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.msc
	* misc/Makefile.am
	* misc/fileio.h
	* misc/winmain.c
	* src/Makefile.am
	* src/winmain.c: add filename code for 2.6.0

2005-02-26 Kazuki IWAMOTO <iwm@maid.org>

	* misc/profile.c
	* src/command.c
	* src/file.c: change g_basename and g_dirname to g_path_get_*name

	* misc/fileio.[ch]: add fileio_get_relative_path

2005-01-29 Kazuki IWAMOTO <iwm@maid.org>

	* version 1.8.23

2005-01-28 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.msc
	* avicore/avifileextra.[ch]
	* avicore/avifilesel.[ch]
	* src/command.c: use GtkFileChooserDialog if USE_GTK24

2005-01-02 Kazuki IWAMOTO <iwm@maid.org>

	* acconfig.h
	* autogen.sh
	* bootstrap
	* config.h.msc
	* configure.ac
	* configure.in
	* Makefile.msc
	* misc/fileio.c: change filename and add USE_GTK24

2004-11-29 Kazuki IWAMOTO <iwm@maid.org>

	* version 1.8.22

2004-11-05 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/icm.c: ignore case handler

	* src/sigfile.c: modify wheel scroll

2004-10-29 Kazuki IWAMOTO <iwm@maid.org>

	* version 1.8.21

2004-10-26 Kazuki IWAMOTO <iwm@maid.org>

	* misc/profile.c: profile_enum_key pointer error check

2004-10-26 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/icm.[ch]
	* src/version.c: modify display bugs and add code

2004-10-17 Kazuki IWAMOTO <iwm@maid.org>

	* po/Makevars: add --from-code=utf-8 at XGETTEXT_OPTIONS

2004-08-29 Kazuki IWAMOTO <iwm@maid.org>

	* version 1.8.20

2004-08-17 Kazuki IWAMOTO <iwm@maid.org>

	* config.h.msc
	* Makefile.msc: add dist target

2004-08-11 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.msc
	* avicore/icm.[ch]
	* avicore/icm32.h: add Windows native codec loader

2004-08-08 Kazuki IWAMOTO <iwm@maid.org>

	* acconfig.h
	* configure.in
	* avicore/Makefile.am
	* avicore/icm.h
	* avicore/bitmap.h
	* avicore/chunk.[ch]
	* avicore/wave.h
	* dllloader/pe_image.[ch]
	* src/version.[ch]: delete codec_c.[ch]

2004-07-29 Kazuki IWAMOTO <iwm@maid.org>

	* version 1.8.19

2004-07-24 Kazuki IWAMOTO <iwm@maid.org>

	* src/file.c
	* src/general.c
	* src/toolbar.c: delete close button in toolbar

2004-05-29 Kazuki IWAMOTO <iwm@maid.org>

	* version 1.8.18

2004-05-25 Kazuki IWAMOTO <iwm@maid.org>

	* dllloader/pe_image.c: modify LDT_SEL_START (Thanks ryoma)

2004-05-19 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.msc
	* misc/Makefile.am
	* src/vmaid.c: generalize Accelerator Groups

2004-05-18 Kazuki IWAMOTO <iwm@maid.org>

	* misc/misc_conf.c: add gtk_window_set_title

2004-05-10 Kazuki IWAMOTO <iwm@maid.org>

	* configure.in: modify type miss (Thanks ryoma)

2004-04-29 Kazuki IWAMOTO <iwm@maid.org>

	* version 1.8.17

2004-04-21 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.msc: add msgfmt

2004-04-20 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.msc
	* misc/Makefile.am
	* misc/misc_comm.[ch]
	* src/vmaid.[ch]
	* src/sigmain.[ch]: generalize InterProcess communication

2004-04-10 Kazuki IWAMOTO <iwm@maid.org>

	* misc/misc_conf.[ch]
	* po/POTFILES.in
	* src/command.[ch]
	* src/conf.[ch]
	* src/vmaid.c: generalize conf.[ch]

2004-03-29 Kazuki IWAMOTO <iwm@maid.org>

	* version 1.8.16

2004-03-28 Kazuki IWAMOTO <iwm@maid.org>

	* misc/Makefile.am
	* misc/argument.[ch]
	* src/Makefile.am
	* src/argument.[ch]
	* src/vmaid.c
	* src/sigmain.c: generalize argument.[ch]

	* misc/misc.[ch]
	* misc/profile.[ch]: modify misc_str_{to|from}_array

	* Makefile.msc: use dynamic link runtime library

2004-03-04 Kazuki IWAMOTO <iwm@maid.org>

	* CONTRIBUTORS
	* configure.in
	* dllloader/pe_image.c
	* src/version.c: conform to struct user_desc on linux 2.6
	(Thanks MINAMI Hirokazu)

2004-02-29 Kazuki IWAMOTO <iwm@maid.org>

	* version 1.8.15

2004-02-09 Kazuki IWAMOTO <iwm@maid.org>

	* common.h: rename g_strcasencmp to g_strncasecmp

	* src/command.c
	* src/file.c
	* src/sigmain.c: modify filename character encoding

2004-01-26 Kazuki IWAMOTO <iwm@maid.org>

	* misc/fileio.[ch]: modify GetFileTime and add fileio_getsystime

2004-01-24 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/avifilesel.c
	* dllloader/user32.c
	* dllloader/winuser.c: use gtk_bin_get_child

	* common.h
	* config.h.msc
	* config.w32.h: rename config.w32.h to config.h.msc

	* misc/fileio.[ch]: add file time functions

2004-01-18 Kazuki IWAMOTO <iwm@maid.org>

	* src/vmaid.c: add gtk_tree_view_set_enable_search FALSE

2004-01-16 Kazuki IWAMOTO <iwm@maid.org>

	* src/argument.c
	* src/prop.c
	* src/thread.c
	* src/vmaid.c: change gettext to macro

2004-01-14 Kazuki IWAMOTO <iwm@maid.org>

	* common.h: add g_strfilencmp macro

	* misc/fileio.c: use G_DIR_SEPARATOR_S macro

2004-01-11 Kazuki IWAMOTO <iwm@maid.org>

	* misc/profile.c
	* src/vmaid.c: use G_DIR_SEPARATOR_S macro

	* src/vmaid.c: use profile_delete_key for delete history

2004-01-10 Kazuki IWAMOTO <iwm@maid.org>

	* src/command.c add gtk_file_selection_hide_fileop_buttons

2004-01-08 Kazuki IWAMOTO <iwm@maid.org>

	* version 1.8.14

2004-01-07 Kazuki IWAMOTO <iwm@maid.org>

	* src/general.c: modify miss match prompt and tab when close

2004-01-06 Kazuki IWAMOTO <iwm@maid.org>

	* src/argument.c
	* src/conf.c
	* src/file.c
	* src/general.c
	* src/sigfile.c
	* src/sigmain.c
	* src/thread.c
	* src/vmaid.[ch]: rename item_factory_ to ifactory_

	* src/command.c
	* src/sigmain.c
	* src/vmaid.[ch]; replace atom_clipboard to GDK_SELECTION_CLIPBOARD

2003-11-26 Kazuki IWAMOTO <iwm@maid.org>

	* misc/misc.c
	* conf.c
	* prop.c
	* size.c
	* version.c: use mnemonic

2003-11-24 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.msc
	* avicore/Makefile.am
	* avicore/avicore.h
	* avicore/avidlg.c
	* avicore/avifilesel.[ch]
	* po/POTFILES.in
	* po/ja.po
	* src/command.c: delete avidlg.c and add avifilesel.[ch]

2003-11-21 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.am
	* Makefile.msc
	* Makefile.w32: rename Makefile.w32 to Makefile.msc

2003-11-15 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/avidlg.c: modify g_object_get_data at combo item

2003-11-12 Kazuki IWAMOTO <iwm@maid.org>

	* po/ja.po
	* src/version.c: delete radio and add notebook

2003-11-11 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/avidlg.c
	* dllloader/user32.c
	* dllloader/winuser.c
	* misc/license.c
	* misc/misc.c
	* src/command.c
	* src/conf.c
	* src/file.c
	* src/jump.c
	* src/prop.c
	* src/sigfile.c
	* src/sigmain.c
	* src/size.c
	* src/thread.c
	* src/version.c
	* src/vmaid.c: remove gtk_signal_connect to g_signal_connect
	and remove gtk_object_[gs]et_user_data to g_object_[gs]et_data

2003-11-10 Kazuki IWAMOTO <iwm@maid.org>

	* acconfig.h
	* common.h
	* config.w32.h
	* configure.in
	* avicore/avidlg.c
	* dllloader/kernel32.c
	* dllloader/winuser.c
	* misc/fileio.h
	* misc/license.c
	* misc/misc.c
	* src/command.c
	* src/conf.c
	* src/file.c
	* src/prop.c
	* src/sigfile.[ch]
	* src/sigmain.[ch]
	* src/size.c
	* src/thread.[ch]
	* src/version.c
	* src/vmaid.[ch]: delete Gtk+-1.2 code and USE_GTK2

2003-10-13 Kazuki IWAMOTO <iwm@maid.org>

	* version 1.8.13

2003-10-12 Kazuki IWAMOTO <iwm@maid.org>

	* src/version.c: add author of dllloader

2003-08-10 Kazuki IWAMOTO <iwm@maid.org>

	* version 1.8.12

2003-08-08 Kazuki IWAMOTO <iwm@maid.org>

	* common.h
	* src/file.c: add g_strfilecmp

	* src/command.c: change top of jump frame (Thanks ryoma)

2003-07-23 Kazuki IWAMOTO <iwm@maid.org>

	* src/command.c
	* src/vmaid.[ch]: add clipboard and DDE for Windows

2003-07-18 Kazuki IWAMOTO <iwm@maid.org>

	* misc/fileio.c
	* misc/profile.c
	* src/file.c
	* src/general.c
	* src/sigmain.c
	* src/toolbar.c
	* src/vmaid.c: modiry toolbar, selection and clipboard for Windows

2003-07-17 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.w32
	* common.h
	* avicore/avicore.[ch]
	* avicore/avidlg.c
	* avicore/aviedit.c
	* avicore/avifmt.h
	* avicore/aviframe.c
	* avicore/aviopen.c
	* avicore/avisave.c
	* avicore/avitext.c
	* avicore/bitmap.[ch]
	* avicore/chunk.[ch]
	* avicore/icm.[ch]
	* dllloader/kernel32.c
	* misc/fileio.[ch]
	* src/file.c
	* src/prop.c
	* src/sigmain.c
	* src/vmaid.c: modify for Windows API

2003-07-16 Kazuki IWAMOTO <iwm@maid.org>

	* common.h
	* avicore/avidlg.c
	* misc/license.c
	* misc/misc.c
	* src/conf.c
	* src/jump.c
	* src/prop.c
	* src/size.c
	* src/version.c
	* src/vmaid.c: change padding spacing

	* configure.in
	* common.h
	* src/command.c
	* src/file.c
	* src/sigmain.c
	* src/thread.[ch]
	* src/vmaid.c: add single thread mode

	* dllloader/kernel32.c
	* misc/license.c
	* misc/misc.c
	* src/thread.[ch]: modify single thread mode

2003-07-09 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.w32
	* configure.in
	* acconfig.h
	* common.h
	* avicore/avicore.[ch]
	* avicore/aviedit.c
	* avicore/aviframe.c
	* avicore/aviopen.c
	* avicore/avisave.c
	* avicore/avitext.c
	* avicore/chunk.[ch]
	* avicore/icm.c
	* misc/Makefile.am
	* misc/fileio.[ch]
	* misc/misc.[ch]
	* misc/profile.c
	* src/command.c
	* src/file.c
	* src/vmaid.c: add fileio functions

	* dllloader/kernel32.c
	* src/general.c
	* src/jump.c
	* src/sigfile.c
	* src/sigmain.c: modify long long int

2003-06-29 Kazuki IWAMOTO <iwm@maid.org>

	* version 1.8.11

2003-06-29 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/avisave.c: AVI_RIFFSIZE is 1GB

2003-06-27 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/avisave.c: modify duration of audio

2003-06-25 Kazuki IWAMOTO <iwm@maid.org>

	* misc/misc.c
	* misc/profile.c
	* src/sigmain.c: add code for Windows

	* avicore/avifmt.h
	* avicore/avifmt.h
	* avicore/avisave.c
	* avicore/chunk.h
	* avicore/codec_c.c: OpenDML

2003-05-25 Kazuki IWAMOTO <iwm@maid.org>

	* Makefile.w32
	* src/command.c
	* src/file.c
	* src/general.c
	* src/sigfile.[ch]
	* src/sigmain.[ch]
	* src/vmaid.c: remove signal.[ch] and add scroll event

	* avicore/icm.c: include codec_c.h ifdef W32CODECDIR or USE_CODEC

2003-05-19 Kazuki IWAMOTO <iwm@maid.org>

	* misc/misc.c: modify double slash in misc_get_full_path

	* src/argument.c
	* src/conf.c
	* src/file.c
	* src/signal.c
	* src/vmaid.c: replace to 'menu_shell' from 'sub_menu'

	* src/file.c: modify flags at gtk_widget_add_events

2003-04-09 midori <midori@tan-moe.jp>

	* configure.in: add -L/usr/local/lib to CFLAGS.(for OpenBSD)
	ad hoc fix code for gettext detection. 

2003-04-08 midori <midori@tan-moe.jp>

	* add native-codec base code.

2003-03-17 midori <midori@tan-moe.jp>

	* bootstrap: fix.(add check null strings near libtoolize)
	* src/Makefile.am:remove CLEANFILES.

2003-03-17 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/avibase.h
	* avicore/avicore.[ch]
	* avicore/avifmt.h
	* avicore/chunk.h: Extension AVI read

2003-03-09 Kazuki IWAMOTO <iwm@maid.org>

	* src/avidlg.c: use stream name

	* avicore/aviedit.c
	* avicore/aviopen.c: add priority, language and name

	* avicore/avicore.c
	* avicore/aviedit.c
	* avicore/aviopen.c
	* avicore/avisave.c
	* avicore/avicore.c
	* src/file.c: change flock result check

	* misc/misc.c: modify scrollbar update

2003-03-08 Kazuki IWAMOTO <iwm@maid.org>

	* src/avibase.c
	* src/avicore.[ch]
	* src/aviopen.c
	* src/avisave.c
	* src/avitext.c
	* po/ja.po
	* src/command.c
	* src/prop.[ch]: add priority, language and name

2003-03-06 Kazuki IWAMOTO <iwm@maid.org>

	* version 1.8.10

2003-03-06 Kazuki IWAMOTO <iwm@maid.org>

	* misc/profile.c: enable case

2003-03-02 Kazuki IWAMOTO <iwm@maid.org>

	* misc/misc.c: modify misc_set_scroll_bar for GTK+-2.0

	* avicore/chunk.h: add tolower4cc

	* avicore/aviopen.c
	* avicore/avisave.c
	* avicore/icm.c: modify: delete g_free (bmih) in compressed

2003-02-24 Kazuki IWAMOTO <iwm@maid.org>

	* src/thread.c: modify GtkTreeModel

2003-02-20 midori <midori@tan-moe.jp>

	* configure.in: fix.
	* acconfig.h: (add  `HAVE_I386_SET_LDT' and `USE_CODEC')

	* avicore/Makefile.am
	* src/Makefile.am: use `AM_CPPFLAGS' instead of `CPPFLAGS'.

2003-02-16 Kazuki IWAMOTO <iwm@maid.org>

	* src/signal.[ch]
	* src/thread.c
	* src/version.c
	* src/vmaid.[ch]: use GtkTreeView

	* avicore/aviopen.c: uncompress if handler == BI_RGB (Thanks midori)

2003-02-15 midori <midori@tan-moe.jp>

	* dllloader/pe_image.c
	* configure.in: add i386_set_ldt detection and some fix for *BSD.

	* src/Makefile.am: remove `.deps/*' from `CLEANFILES'.

2003-02-12 Kazuki IWAMOTO <iwm@maid.org>

	* misc/profile.[ch]: append sublist

2003-02-11 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/icm.c: icm_string_to_handler if W32CODECDIR

	* acconfig.h
	* configure.in
	* avicore/Makefile.am
	* src/Makefile.am: use AC_SUBST *DIR macro

	* avicore/Makefile.am
	* avicore/icm.c
	* misc/Makefile.am
	* misc/profile.c
	* src/Makefile.am: multi config of profile

2003-01-22 Kazuki IWAMOTO <iwm@maid.org>

	* src/command.c
	* src/signal.c: change gtk_container_queue_resize to widget

	* src/vmaid.c
	* src/signal.c: modify argument InterProcess communication bug

	* avicore/Makefile.am
	* dllloader/Makefile.am
	* src/Makefile.am: add INCLUDES directory

	* config.w32.h: new variable VMAID_BUILD_ENVIRONMENT.

2003-01-22  ryoma <ryoma@users.sourceforge.jp>

	* acconfig.h
	* configure.in: getting the canonical system type, and new
	variable VMAID_BUILD_ENVIRONMENT.

	* src/version.c (version_dialog)
	* src/argument.c (arg_analyse): raw string was replaced by a macro.

	* src/vmaid.h: add VMAID_(VERSION|COPYRIGHT)_NOTICE macros.

2003-01-20 Kazuki IWAMOTO <iwm@maid.org>

	* version 1.8.9

2003-01-18 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/avisave.c: modify RECT at stream header

	* src/vmaid.c
	* src/file.c
	* src/prop.c
	* src/version.c: modify for Windows and GTK+-2.0

	* src/vmaid.h
	* src/command.c
	* src/file.c
	* src/general.c
	* src/signal.c: add vmaid_change_edit and edit mark

2003-01-16 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/avidlg.c: modify child widget bug (Thanks ryoma)

2003-01-06 Kazuki IWAMOTO <iwm@maid.org>

	* config.w32.h
	* Makefile.w32
	* vmaid.ico
	* vmaid.rc
	* avicore/avicore.c
	* avicore/aviedit.c
	* avicore/aviframe.c
	* avicore/aviopen.c
	* avicore/avisave.c
	* avicore/chunk.h
	* src/argument.c
	* src/file.c
	* src/signal.c
	* src/thread.c
	* src/version.c
	* src/vmaid.c
	* src/winmain.c: add code for Windows

2003-01-04 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/aviframe.c: modify cache bug

2002-12-21 Kazuki IWAMOTO <iwm@maid.org>

	* src/thread.c: add error cancel before exit

	* avicore/icm.[ch]
	* src/version.c: move about dialog

	* src/vmaid.[ch]
	* src/signal.[ch]: add popup menu for clist cancel

	* avicore/Makefile.am
	* dllloader/Makefile.am
	* misc/Makefile.am
	* src/Makefile.am: add $(top_srcdir) (Thanks aho)

2002-12-20 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/avicore.h
	* avicore/aviopen.c
	* avicore/aviframe.c
	* avicore/avitext.c
	* avicore/avisave.c
	* avicore/avidlg.c
	* avicore/icm.c: modify size_image in BitmapInfoHeader

2002-12-18 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/avicore.h
	* avicore/aviedit.c
	* avicore/aviopen.c
	* avicore/avisave.c
	* avicore/avitext.c
	* src/command.c
	* src/file.c
	* src/signal.c: change avi_rate and avi_scale macro

	* avicore/icm.[ch]: add icm_compress_frames_info

	* avicore/avicore.h
	* avicore/avifmt.h
	* avicore/aviframe.c
	* avicore/aviopen.c
	* avicore/avisave.c
	* avicore/icm.c: add avifmt.h

2002-12-15 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/avidlg.c: modify notebook bug (Thanks ryoma)

	* avicore/icm.c: add W32CODECDIR (Thanks ryoma)

	* src/command.c: modify avi_clone bug at command_save (Thanks ryoma)

2002-12-11 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/avicore.h
	* avicore/avisave.c
	* avicore/avidlg.c: add avidlg.c and avi_save_dialog_with_file

	* src/command.c: modify widget of files select

2002-12-10 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/avicore.h
	* avicore/avisave.c: modifty save functions

	* src/file.c
	* src/thread.c: modify thread_insert

	* src/command.c
	* src/file.[ch]: change file save

	* src/save.[ch]: remove

	* src/argument.c
	* src/vmaid.c: change argument (Thanks ryoma)

	* avisave.c: modifty WAVE chunk (Thanks ryoma)

2002-12-09 Kazuki IWAMOTO <iwm@maid.org>

	* dllloader/winuser.c: modify GList

	* misc/misc.c: modify misc_set_scroll_bar

	* avicore/avicore.h: remove members of AviOptions

	* avicore/icm.[ch]: add configure dialog and state

	* avicore/avisave.[ch]: make save dialog

2002-12-07 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/chunk.c: add (off_t) type cast, this patch presented by ryoma

2002-11-16 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/icm.c
	* dllloader/kernel32.c
	* dllloader/pe_image.c
	* dllloader/resource.c
	* dllloader/user32.c
	* dllloader/winuser.c
	* misc/misc.c
	* src/vmaid.c
	* src/command.c
	* src/conf.c
	* src/file.c
	* src/jump.c
	* src/prop.c
	* src/save.c
	* src/signal.c
	* src/size.c
	* src/toolbar.h
	* src/version.c: GTK+-2.0

	* avicore/icm.c
	* dllloader/kernel32.c
	* dllloader/user32.c
	* misc/misc.[ch]: add widestring functions

2002-11-15 Kazuki IWAMOTO <iwm@maid.org>

	* version 1.8.8

2002-11-14 Kazuki IWAMOTO <iwm@maid.org>

	* dllloader/aviapi32.c
	* dllloader/kernel32.c
	* dllloader/resource.[ch]
	* dllloader/user32.c
	* dllloader/winuser.[ch]: add scrollbar control

	* misc/profile.c: modify enum

2002-11-13 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/avibase.h
	* avicore/avicore.[ch]
	* avicore/aviopen.c
	* avicore/aviframe.c
	* avicore/aviedit.c
	* avicore/avitext.c
	* avicore/avisave.c: divide avicore.c

	* avicore/chunk.[ch]: modify functions

	* dllloader/msvcrt.c: add memmove

2002-11-12 Kazuki IWAMOTO <iwm@maid.org>

	* misc/profile.[ch]: replace const gpointer to gconstpointer

	* src/vmaid.h
	* src/command.c
	* src/file.[ch]
	* src/general.c
	* src/save.c
	* src/signal.c: change AviEdit

	* avicore/avicore.[ch]
	* avicore/icm.[ch]: add decompress

2002-11-02 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/icm.[ch]: add decompress functions

	* misc/profile.c: modify enum glist data

	* src/vmaid.c: change profile path

2002-11-01 Kazuki IWAMOTO <iwm@maid.org>

	* dllloader/advapi32.c
	* dllloader/kernel32.c
	* misc/profile.c: change profile name

	* dllloader/user32.c: add radio button

2002-10-31 Kazuki IWAMOTO <iwm@maid.org>

	* dllloader/msvcrt.c
	* dllloader/winmm.c: modify APIs

2002-10-30 Kazuki IWAMOTO <iwm@maid.org>

	* dllloader/pe_image.[ch]
	* dllloader/advapi32.c
	* dllloader/msvcrt.c: add APIs

2002-10-18 Kazuki IWAMOTO <iwm@maid.org>

	* version 1.8.7

2002-10-18 Kazuki IWAMOTO <iwm@maid.org>

	* common.h: add common header

2002-10-16 Kazuki IWAMOTO <iwm@maid.org>

	* version 1.8.6

2002-10-16 Kazuki IWAMOTO <iwm@maid.org>

	* configure.in: modify dllloader

2002-10-10 Kazuki IWAMOTO <iwm@maid.org>

	* version 1.8.5

2002-10-10 Kazuki IWAMOTO <iwm@maid.org>

	* avicore/avicore.[ch]
	* avicore/bitmap.[ch]
	* avicore/chunk.[ch]
	* avicore/wave.h: move from src

	* avicore/avicore.c: modify save callback

2002-10-06 Kazuki IWAMOTO <iwm@maid.org>

	* misc/misc.[ch]
	* misc/profile.[ch]: rename other to misc and move from src

	* misc/misc.[ch]: modify message_box and function names

	* misc/profile.[ch]: add profile_delete_key

2002-09-29 Kazuki IWAMOTO <iwm@maid.org>

	* dllloader/w32api.h
	* dllloader/hash.[ch]
	* dllloader/converter.[ch]
	* dllloader/dlist.[ch]
	* dllloader/libstring.[ch]
	* dllloader/misc.[ch]: deleted

	* dllloader/windef.h: add and delete typedefs

	* dllloader/iso10646.[ch]: add ISO-10646 APIs

	* dllloader/shell32.[ch]
	* dllloader/winmm.[ch]: add APIs

	* dllloader/kernel32.c
	* dllloader/msvsrt.c
	* dllloader/user32.c: modify APIs

	* dllloader/user32.c: add DialogBox

	* dllloader/module.c
	* dllloader/pe_image.c: use GLIB

	* dllloader/pshpack1.h
	* dllloader/pshpack2.h
	* dllloader/pshpack4.h
	* dllloader/pshpack8.h
	* dllloader/poppack.h: merge from WINE

	* misc/profile.[ch]: add profile_delete_key

2002-09-24 Kazuki IWAMOTO <iwm@maid.org>

	* src/sample.[ch]: create sample program

	* dllloader: merge from GImageView

	* dllloader/pe_image.c
	* dllloader/module.c
	* dllloader/hash.c
	* dllloader/converter.c
	* dllloader/dlist.c
	* dllloader/libstring.c
	* dllloader/misc.c
	* dllloader/kernel32.c
	* dllloader/mssvcrt.c
	* dllloader/user32.c: add "#include <string.h>"

	* dllloader/w32api.h: add MessageBox define

	* dllloader/user32.c: modify MessageBox

2002-08-26 Kazuki IWAMOTO <iwm@maid.org>

	* version 1.8.4

2002-08-26 Kazuki IWAMOTO <iwm@maid.org>

	* src/signal.c: modify InterProcess communication

2002-08-14 Kazuki IWAMOTO <iwm@maid.org>

	* version 1.8.3

2002-08-14 Kazuki IWAMOTO <iwm@maid.org>

	* src/vmaid.c
	* src/argument.c
	* src/command.c
	* src/conf.c
	* src/file.c
	* src/general.c
	* src/jump.c
	* src/prop.c
	* src/save.c
	* src/size.c
	* src/signal.c
	* src/thread.c
	* src/toolbar.c
	* src/version.c: Japanese to English

2002-08-11 Kazuki IWAMOTO <iwm@maid.org>

	* src/vmaid.[ch]
	* src/argument.[ch]
	* src/signal.[ch]: add argument analyse

	* src/vmaid.[ch]
	* src/signal.[ch]: delete cliant event

2002-07-25 Kazuki IWAMOTO <iwm@maid.org>

	* version 1.8.2

2002-07-25 Kazuki IWAMOTO <iwm@maid.org>

	* src/vmaid.c
	* src/general.c
	* src/jump.c
	* src/prop.c
	* src/save.c: change cancel message

2002-07-25 Kazuki IWAMOTO <iwm@maid.org>

	* src/avicore.c: modify video cache

2002-07-21 Kazuki IWAMOTO <iwm@maid.org>

	* version 1.8.1

2002-07-21 Kazuki IWAMOTO <iwm@maid.org>

	* src/file.c: modify new file open

2002-07-20 Kazuki IWAMOTO <iwm@maid.org>

	* version 1.8.0

	* GNU/Linux system edition initial release.
